## com.lowagie.tools.plugins.treeview
Class UpdateableTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.lowagie.tools.plugins.treeview.UpdateableTreeNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  ArrayTreeNode, DictionaryTreeNode, FileTreeNode, OutlinelistTreeNode, PagelistTreeNode, Pagetreenode, SimpletextTreeNode, TextpaneTreeNode

    public abstract class UpdateableTreeNode

extends javax.swing.tree.DefaultMutableTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`UpdateableTreeNode()`
`UpdateableTreeNode(java.lang.Object userObject)`
`UpdateableTreeNode(java.lang.Object userObject, boolean allowchildren)`

Method Summary
`javax.swing.Icon` `getIcon()`
`abstract void` `updateview(IUpdatenodeview updateobject)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateableTreeNode

    public UpdateableTreeNode()

### UpdateableTreeNode

    public UpdateableTreeNode(java.lang.Object userObject)

### UpdateableTreeNode

    public UpdateableTreeNode(java.lang.Object userObject,
                              boolean allowchildren)

Method Detail

### updateview

    public abstract void updateview(IUpdatenodeview updateobject)

### getIcon

    public javax.swing.Icon getIcon()